## boxbackup 0.13~~git20220405.g7703ac8

=== debian/changelog ===
boxbackup (0.13~~git20220405.g7703ac8-2) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * debian/rules: fix autoconf build issue
                  ignore errors during testing because of old certs
  * debian/control: update maintainer email
                    bump Standards-Version to 4.6.1 (no changes)
  * debian/copyright: add debian/* copyright lines

  [ Bastian Germann ]
  * debian/control: add perl:Depends for both packages
  
  [ Ian Goldberg ]
  * debian/patches: Add openssl_provider.patch to fix FTBFS
                    with OpenSSL 3.0 (Closes: #995640)

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 17 Aug 2022 16:17:08 +0300

boxbackup (0.13~~git20220405.g7703ac8-1) unstable; urgency=medium

  * New upstream version 0.13~~git20220405.g7703ac8
  * Refreshed patches

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Thu, 07 Apr 2022 17:33:33 +0300

boxbackup (0.13~~git20200326.g8e8b63c-2) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * debian/control: debhelper-compat version 13
                    removed some lintian warnings
                    updated maintainer (Closes: #817078)
  * debian/rules: converted to new dh format
  * debian/copyright: updated to dep5 version 1.0 format
  * debian/boxbackup-client.config: added set -e
  * debian/boxbackup-server.config: added set -e
  * debian/compat: removed for new dh format

  [ Simon Chopin ]
  * debian/patches: added patch c++17.diff (Closes: #984002)

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Wed, 05 Jan 2022 14:24:10 +0100

=== debian/control ===
Source: boxbackup
Section: utils
Priority: optional
Maintainer: Ileana Dumitrescu <ileanadumitrescu95@gmail.com>
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 13),
 docbook-utils,
 docbook-xml,
 docbook-xsl,
 libdb-dev (>= 4.7),
 libedit-dev,
 libssl-dev,
 libtest-lwp-useragent-perl,
 xsltproc,
 zlib1g-dev
Standards-Version: 4.6.1
Homepage: http://boxbackup.org
Vcs-Git: https://salsa.debian.org/debian/boxbackup.git
Vcs-Browser: https://salsa.debian.org/debian/boxbackup
Rules-Requires-Root: no

Package: boxbackup-server
Architecture: any
Depends:
 adduser,
 debconf | debconf-2.0,
 gawk,
 lsb-base (>= 3.0-6),
 openssl,
 perl,
 ucf,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: e2fsprogs
Description: server for the BoxBackup remote backup system
 BoxBackup is an automatic on-line backup system.
 The server waits for connections from remote clients,
 authenticates them via X.509 certificates and stores the
 encrypted data on hard drives with optional RAID techniques.
 It also supports versions historization and per-user quotas.

Package: boxbackup-client
Architecture: any
Depends:
 debconf | debconf-2.0,
 lsb-base (>= 3.0-6),
 openssl,
 perl,
 ucf,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: client for the BoxBackup remote backup system
 BoxBackup is an automatic on-line backup system.
 The client watches for changes on the local file system,
 connects to a BoxBackup server and sends the changes via a
 secure channel. All data is encrypted before being sent to
 the server. A command-line tool is provided for restoration
 of backups including deleted files and old versions.

## boxbackup 0.13~~git20221201.g166b3fa

=== debian/changelog ===
boxbackup (0.13~~git20221201.g166b3fa-1) unstable; urgency=medium

  * New upstream version 0.13~~git20221201.g166b3fa
  * debian/control: bump Standards-Version to 4.6.2 (no changes)
  * debian/copyright: update debian copyright year to 2023
                      add common-licenses paths
  * debian/patches: refresh existing patches
                    add correct-apos-in-manpages.diff to allow correct
                    apostrophe format in manpages
                    add description header to openssl_provider.diff
  * debian/source/lintian-overrides: add to remove false positive warnings
  * debian/watch: remove gpgmode=none
                  update to version 4

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 17 Jan 2023 14:52:02 +0200

boxbackup (0.13~~git20220405.g7703ac8-3) unstable; urgency=medium

  * debian/copyright: update licensing

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 06 Sep 2022 16:29:11 +0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libtest-lwp-useragent-perl,
  xsltproc,
  zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://boxbackup.org
 Vcs-Git: https://salsa.debian.org/debian/boxbackup.git
 Vcs-Browser: https://salsa.debian.org/debian/boxbackup

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

TMP:=$(CURDIR)/debian/tmp

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

%:
	dh $@
	
override_dh_autoreconf:
	echo "$(DEB_VERSION_UPSTREAM_REVISION)" > VERSION.txt
	echo "boxbackup" >> VERSION.txt
	sh -x ./bootstrap
	
override_dh_auto_configure:
	./configure $(DEB_EXTRA_CONFIG_FLAGS)
	
override_dh_auto_test:
# the testsuite is only really maintained on i386 and amd64
ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-./runtest.pl ALL
endif
endif
	
override_dh_auto_install:
	mkdir -p $(TMP)/etc/logcheck/ignore.d.workstation
	mkdir -p $(TMP)/etc/logcheck/ignore.d.server
	install -m 644 debian/boxbackup-server.logcheck.ignore $(TMP)/etc/logcheck/ignore.d.workstation/boxbackup-server
	install -m 644 debian/boxbackup-server.logcheck.ignore $(TMP)/etc/logcheck/ignore.d.server/boxbackup-server

docs/docbook/instguide.pdf:
	$(MAKE) -C docs instguide
	cd docs/docbook && docbook2pdf instguide.xml

docs/docbook/adminguide.pdf: configure-stamp
	$(MAKE) -C docs adminguide
	cd docs/docbook && docbook2pdf adminguide.xml

docs: docs/docbook/instguide.pdf docs/docbook/adminguide.pdf
	$(MAKE) -C docs manpages

=== debian/watch ===
version=4
# upstream does not plan to make specific releases anymore, cf
# http://lists.boxbackup.org/pipermail/boxbackup/2019-January/006690.html
opts="mode=git, pretty=0.13~~git%cd.g%h" \
  https://github.com/boxbackup/boxbackup HEAD debian uupdate

## boxbackup 0.13~~git20230122.g8467280

=== debian/changelog ===
boxbackup (0.13~~git20230122.g8467280-3) unstable; urgency=medium

  * d/control: Fix Depends for lsb-release in the client and server.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 01 Sep 2023 17:41:01 +0300

boxbackup (0.13~~git20230122.g8467280-2) unstable; urgency=medium

  * Fix failure to build after successful build (Closes: #1043742).
  * d/clean: Remove autogenerated files.
  * d/source/options: Ignore modified source files.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 14 Aug 2023 22:44:59 +0300

boxbackup (0.13~~git20230122.g8467280-1) experimental; urgency=medium

  * New upstream version 0.13~~git20230122.g8467280
  * debian/control: change lsb-base to lsb in depends lines

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 28 Mar 2023 17:00:52 +0300

## boxbackup 0.13~~git20231028.g3dd5194+ds

=== test/win32/Makefile ===
timezone.exe: timezone.cpp Makefile
	g++ -g -O0 -mno-cygwin -I../../lib/win32 -o timezone.exe timezone.cpp 

clean:
	rm timezone.exe

=== infrastructure/cmake/windows/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(BoxBackup_Windows)

set(boxbackup_dir ${CMAKE_SOURCE_DIR}/../../..)
set_property(DIRECTORY PROPERTY EP_BASE .)
set(install_dir ${CMAKE_BINARY_DIR}/install)

# Automate the process of downloading, building and "installing" dependencies on Windows,
# as used by AppVeyor.

# Version of zlib to download, build, and compile Box Backup against:
set(ZLIB_VERSION    1.2.11)
# Hash of zlib-${ZLIB_VERSION}.tar.gz, to be verified after download:
set(ZLIB_HASH SHA256=c3e5e9fdd5004dcb542feda5ee4f0ff0744628baf8ed2dd5d66f8ca1197cb1a1)

# Version of OpenSSL to download, build, and compile Box Backup against:
set(OPENSSL_VERSION 1.1.0g)
# Hash of openssl-${OPENSSL_VERSION}.tar.gz, to be verified after download:
set(OPENSSL_HASH SHA256=de4d501267da39310905cb6dc8c6121f7a2cad45a7707f76df828fe1b85073af)

# Version of PCRE to download, build, and compile Box Backup against:
set(PCRE_VERSION    8.42)
# Hash of pcre-${PCRE_VERSION}.tar.bz2, to be verified after download:
set(PCRE_HASH SHA256=2cd04b7c887808be030254e8d77de11d3fe9d4505c39d4b15d2664ffe8bf9301)

# Version of Boost to download, unpack, and compile Box Backup against:
set(BOOST_VERSION    1.62.0)
# Hash of the Boost download file, to be verified after download:
set(BOOST_HASH SHA1=5fd97433c3f859d8cbab1eaed4156d3068ae3648)

include(ExternalProject)

ExternalProject_Add(zlib
	URL "http://zlib.net/zlib-${ZLIB_VERSION}.tar.gz"
	URL_HASH ${ZLIB_HASH}
	DOWNLOAD_NO_PROGRESS 1
	CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${install_dir} ${SUB_CMAKE_EXTRA_ARGS}
	# We need to build both versions, debug and release, because cmake requires both to be
	# present to generate its multi-configuration project files for Visual Studio/MSBuild.
	INSTALL_COMMAND ${CMAKE_COMMAND} --build <BINARY_DIR> --target install --config Debug
	COMMAND         ${CMAKE_COMMAND} --build <BINARY_DIR> --target install --config Release
	STEP_TARGETS configure install
)

if(WIN32)
	ExternalProject_Add(openssl
		DEPENDS zlib
		URL "https://www.openssl.org/source/openssl-${OPENSSL_VERSION}.tar.gz"
		URL_HASH ${OPENSSL_HASH}
		DOWNLOAD_NO_PROGRESS 1
		CONFIGURE_COMMAND perl Configure debug-VC-WIN32 no-asm no-shared
			--prefix=${install_dir}
			--openssldir=etc
		# Run tests before install, but don't make the main target depend on them, so that
		# we don't have to run them whenever we build manually on Windows.
		TEST_BEFORE_INSTALL 1
		TEST_EXCLUDE_FROM_MAIN 1
		# You would expect us to use nt.mak to compile a static library here, but mk1mf.pl uses the /MT[d]
		# CRT in that case, which is incompatible with our dynamic runtime, /MD[d]. It seems that the libs
		# built by ntdll.mak, which are compiled with /MD[d], are full libraries and not import libs,
		# so we can link statically against them and still get a dynamic runtime.
		BUILD_IN_SOURCE 1
		BUILD_COMMAND   nmake /s
		TEST_COMMAND    nmake /s test
		INSTALL_COMMAND nmake /s install
	)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	ExternalProject_Add(openssl
		DEPENDS zlib
		URL "https://www.openssl.org/source/openssl-${OPENSSL_VERSION}.tar.gz"
		URL_HASH ${OPENSSL_HASH}
		DOWNLOAD_NO_PROGRESS 1
		CONFIGURE_COMMAND perl Configure darwin64-x86_64-cc --prefix=${install_dir}
		BUILD_IN_SOURCE 1
	)
else()
	ExternalProject_Add(openssl
		DEPENDS zlib
		URL "https://www.openssl.org/source/openssl-${OPENSSL_VERSION}.tar.gz"
		URL_HASH ${OPENSSL_HASH}
		DOWNLOAD_NO_PROGRESS 1
		CONFIGURE_COMMAND ./config --prefix=${install_dir}
		BUILD_IN_SOURCE 1
	)

endif()

ExternalProject_Add(pcre
	URL "https://ftp.pcre.org/pub/pcre/pcre-${PCRE_VERSION}.tar.bz2"
	URL_HASH ${PCRE_HASH}
	DOWNLOAD_NO_PROGRESS 1
	CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${install_dir} ${SUB_CMAKE_EXTRA_ARGS}
	-DPCRE_BUILD_PCREGREP=OFF
	-DPCRE_SUPPORT_LIBREADLINE=OFF
	-DPCRE_SUPPORT_LIBBZ2=OFF
	# We need to build both versions, debug and release, because cmake requires both to be
	# present to generate its multi-configuration project files for Visual Studio/MSBuild.
	INSTALL_COMMAND ${CMAKE_COMMAND} --build <BINARY_DIR> --target install --config Debug
	COMMAND         ${CMAKE_COMMAND} --build <BINARY_DIR> --target install --config Release
)

string(REPLACE "." "_" BOOST_VERSION_UNDERSCORES ${BOOST_VERSION})
ExternalProject_Add(boost
	URL "http://downloads.sourceforge.net/project/boost/boost/${BOOST_VERSION}/boost_${BOOST_VERSION_UNDERSCORES}.tar.bz2"
	URL_HASH ${BOOST_HASH}
	# DOWNLOAD_NO_PROGRESS 1
	# Disable automatic updating (untarring) as it's slow and not necessary
	UPDATE_DISCONNECTED 1
	CONFIGURE_COMMAND ${CMAKE_COMMAND} -E echo "No configure step needed"
	BUILD_COMMAND ${CMAKE_COMMAND} -E echo "No build step needed"
	INSTALL_COMMAND ${CMAKE_COMMAND} -E echo "No install step needed"
)

if(BOXBACKUP_VERSION)
	list(APPEND boxbackup_cmake_args "-DBOXBACKUP_VERSION=${BOXBACKUP_VERSION}")
endif()
string(REPLACE ";" " " boxbackup_cmake_args "${boxbackup_cmake_args}")

ExternalProject_Add(boxbackup
	DEPENDS zlib openssl pcre boost
	SOURCE_DIR ${boxbackup_dir}/infrastructure/cmake
	CMAKE_ARGS
		-DZLIB_ROOT=${install_dir}
		-DOPENSSL_ROOT_DIR=${install_dir}
		-DPCRE_ROOT=${install_dir}
		-DBOOST_ROOT=${CMAKE_BINARY_DIR}/Source/boost
		-DBOX_SUPPORT_READLINE=OFF
		-DCMAKE_INSTALL_PREFIX=${install_dir}
		-DAPPVEYOR_MODE=1
		-DDEBUG=${DEBUG}
		${boxbackup_cmake_args}
		${SUB_CMAKE_EXTRA_ARGS}
	INSTALL_COMMAND ${CMAKE_COMMAND} -E echo "No install step needed"
	STEP_TARGETS configure build
)

=== debian/changelog ===
boxbackup (0.13~~git20231028.g3dd5194+ds-5) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * d/po/ca.po: Add Catalan po-debconf translation.

  [ Ileana Dumitrescu ]
  * d/control: Bump Standards-Version from 4.7.0 to 4.7.2.
  * d/watch: Remove 'debian uupdate'.
  * d/copyright: Update debian copyright year to 2025, update FSF
  address to point to webpage, and remove trailing slashes for the
  excluded files.
  * d/rules: Check DEB_BUILD_OPTIONS for dh_auto_test.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Wed, 13 Aug 2025 21:24:53 +0300

boxbackup (0.13~~git20231028.g3dd5194+ds-4) unstable; urgency=medium

  [ Niels Thykier ]
  * d/rules: Remove obsolete content.

  [ Ileana Dumitrescu ]
  * d/rules, d/boxbackup-server.install: Let dh_installlogcheck handle install.
  * d/rules: Remove redundant CFLAGS definition.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Thu, 06 Jun 2024 21:38:31 +0300

boxbackup (0.13~~git20231028.g3dd5194+ds-3) unstable; urgency=medium

  * d/patches: Skip test using old hard-coded certificates (Closes: #1070895).
  * d/copyright: Update debian copyright year to 2024.
  * d/control: Bump Standards-Version from 4.6.2 to 4.7.0.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Tue, 21 May 2024 18:38:46 +0300

boxbackup (0.13~~git20231028.g3dd5194+ds-2) unstable; urgency=medium

  * d/rules: Make tests verbose and specify release for tests.
  * d/patches:
    - Fix national encoding for name in THANKS.txt.
    - Mark Forwarded as not-needed for some patches.
  * d/upstream/metadata: Add upstream metadata.
  * d/boxbackup-client.timer: Create for cron.d script.
  * d/boxbackup-client.service:
    - Point to manpage documentation.
    - Specify Wants for boxbackup-client.timer.
  * d/boxbackup-server.service: Point to manpage documentation.
  * d/boxbackup-client.init: Specify status option in usage.
  * d/boxbackup-server.init: Specify status option in usage.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Mon, 13 Nov 2023 19:04:27 +0200

boxbackup (0.13~~git20231028.g3dd5194+ds-1) unstable; urgency=medium

  * New upstream version 0.13~~git20231028.g3dd5194+ds
  * d/gbp.conf: Pull and commit to pristine-tar branch.
  * d/copyright: Exclude unnecessary vcxproj files.
  * d/watch: Update to add '+ds' suffix for repacking.
  * d/patches: Refresh 03-adjust-syslog-facility.diff and c++17.diff.
  * d/rules: Enable hardening and make build verbose.

 -- Ileana Dumitrescu <ileanadumitrescu95@gmail.com>  Fri, 10 Nov 2023 16:29:13 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libtest-lwp-useragent-perl,
  xsltproc,
  zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://boxbackup.org
 Vcs-Git: https://salsa.debian.org/debian/boxbackup.git
 Vcs-Browser: https://salsa.debian.org/debian/boxbackup
@@ -27,7 +27,7 @@
  adduser,
  debconf | debconf-2.0,
  gawk,
- lsb-base (>= 3.0-6),
+ lsb-release,
  openssl,
  perl,
  ucf,
@@ -47,7 +47,7 @@
 Architecture: any
 Depends:
  debconf | debconf-2.0,
- lsb-base (>= 3.0-6),
+ lsb-release,
  openssl,
  perl,
  ucf,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_autoreconf:
	echo "$(DEB_VERSION_UPSTREAM_REVISION)" > VERSION.txt
	echo "boxbackup" >> VERSION.txt
	sh -x ./bootstrap

override_dh_auto_configure:
	./configure $(DEB_EXTRA_CONFIG_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# the testsuite is only really maintained on i386 and amd64
ifneq (,$(filter $(DEB_HOST_ARCH),i386 amd64))
	export V=1 && ./runtest.pl ALL release
endif
endif

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	mv debian/boxbackup-server.logcheck.ignore debian/boxbackup-server.logcheck.ignore.server
	ln -s  debian/boxbackup-server.logcheck.ignore.server debian/boxbackup-server.logcheck.ignore.workstation

docs/docbook/instguide.pdf:
	$(MAKE) -C docs instguide
	cd docs/docbook && docbook2pdf instguide.xml

docs/docbook/adminguide.pdf: configure-stamp
	$(MAKE) -C docs adminguide
	cd docs/docbook && docbook2pdf adminguide.xml

docs: docs/docbook/instguide.pdf docs/docbook/adminguide.pdf
	$(MAKE) -C docs manpages

=== debian/watch ===
version=4
# upstream does not plan to make specific releases anymore, cf
# http://lists.boxbackup.org/pipermail/boxbackup/2019-January/006690.html
opts="mode=git, pretty=0.13~~git%cd.g%h, repacksuffix=+ds,dversionmangle=s/\+ds//,repack" \
  https://github.com/boxbackup/boxbackup HEAD
